#ifndef __rtc_H
#define __rtc_H

#include "stm32f0xx_hal.h"


void rtc_incseconds(void);
void rtc_init(void);
RTC_TimeTypeDef* rtc_time(void);
uint64_t rtc_timestamp(void);
uint32_t rtc_timestamp_seconds(void);
RTC_HandleTypeDef* rtc_gethandle(void);


#endif /*__ rtc_H */
